Subject: Re: front end 1.61

From: Zheng Gengbin <[email-masked]>
Date: Thu, 26 Sep 1996 09:58:21 +0800 (EAT)

On Wed, 25 Sep 1996, Guansong Zhang wrote:

> I just merged the change in 1.60 from pku and hpf2dep change from lxy, and a
> little update in unparse by me. fortunately three parts in different dir.
> 
> The new version as 1.61 is ready. But I don't know how to send it to pku, I
> will try this week end, maybe that time the network is better.
> 
> I also found some bugs:
> 
> a)
> 
> hfpsc will core dump on test1.f in syntax testing on rs6000:
> 
> segmentation violation in check_extern_proc at line 801 in file "link.c"
>   801           if (bfnd->control_parent->variant == INTERFACE_STMT) {
> (dbx) where
> check_extern_proc(fi = 0x2009b188, sym = 0x2009b038), line 801 in "link.c"
> check_interface_extern_proc(fi = 0x200628d8, inter = 0x2009b038), line 816 in
> "link.c"
> call_or_func(fi = 0x200628d8, thisbfnd = 0x20071338, sub_name = 0x2009b038,
> actual_list = 0x2012b6d8, type = 509, kind = 1, func_type = 0x2008b4d4), line
> 1152 in "ym.c"
> check_defined_op(func = 0x2008b4c8), line 440 in "expr.c"
> check_expr_type_node(ll_head = 0x2008b4c8), line 362 in "expr.c"
> check_expr_type_node(ll_head = 0x2008b568), line 128 in "expr.c"
> check_expr_type_node(ll_head = 0x2008b5b8), line 128 in "expr.c"
> check_expr_type_node(ll_head = 0x2008b5e0), line 128 in "expr.c"
> check_expr_type_node(ll_head = 0x2008b630), line 128 in "expr.c"
> check_expr_type_node(ll_head = 0x2008b680), line 128 in "expr.c"
> check_expr_type_node(ll_head = 0x2008b6d0), line 128 in "expr.c"
> check_expr_type_node(ll_head = 0x2008b6f8), line 128 in "expr.c"
> check_expr_type_node(ll_head = 0x2008b748), line 128 in "expr.c"
> check_expr_type_node(ll_head = 0x2008b798), line 128 in "expr.c"
> check_expr_type_node(ll_head = 0x2008b7e8), line 128 in "expr.c"
> check_expr_type_node(ll_head = 0x2008b838), line 128 in "expr.c"
> check_expr_type(llnd = 0x2008b838), line 411 in "expr.c"
> check_type_compatiable(l_sym = 0x200a0cc0, l_type = 0x200ab3dc, l_attr =
> 536870912, r_value = 0x2008b838, kind = 1), line 141 in "exec_stmt.c"
> check_assign_compatiable(l_var = 0x2008b478, r_value = 0x2008b838), line 267 in
> "exec_stmt.c"
> check_assign_stmt(), line 303 in "exec_stmt.c"
> action_stmt(), line 818 in "hpfsc.c"
> executable_construct(), line 770 in "hpfsc.c"
> execution_part(), line 759 in "hpfsc.c"
> check_one_program_unit(unit_blob = 0x20067388), line 421 in "hpfsc.c"
> semantic_check(), line 311 in "hpfsc.c"
> main(argc = 1, argv = 0x2ff7fcb4, envp = 0x2ff7fcbc), line 214 in "hpfsc.c"
> (dbx) print sym
> 0x2009b038
> (dbx) print *sym
> (variant = 518, id = 135, ident = ".dopb.", parent = (nil), outer = (nil),
> next_symb = 0x2009b2d8, id_list = (nil), thread = 0x2009b0e0, type = (nil),
> scope = 0x2006a018, ud_chain = (nil), attr = 671088640, dovar = 0, decl = 1,
> entry = [union])
>

	I did not found this same error on SGI and Linux . But still I modified
a little and I donot know the effect .

> ---------------------------------
> 
> b)
> 
> and in hpf2dep, try the following file in examples:
> ...Compiling  ./discover+.f
> line(39) syntax error:480 NAME 480
> sh: 39084 Memory fault
> ...Compiling  ./ge.f
> line(4) syntax error:434 CARRIAGE 1     434
> line(9) syntax error:434 CARRIAGE 1     434
> line(18) syntax error:434 CARRIAGE 1    434
> line(31) syntax error:434 CARRIAGE 1    434
> line(40) syntax error:434 CARRIAGE 1    434
> line(42) syntax error:434 CARRIAGE 1    434
> 
> So bugs merged.
> 

	These two files can be succesully compiled by hpf2dep on our
machine (HP) , SGI and Linux .

Zheng

---

From: Zheng Gengbin <[email-masked]>
Date: Thu, 26 Sep 1996 10:05:15 +0800 (EAT)

> will try this week end, maybe that time the network is better.

	Maybe we can try it by mail again .

Zheng